.class public Lcom/tcn/tools/lang/CustomSDCardLoader;
.super Lskin/support/load/SkinSDCardLoader;
.source "CustomSDCardLoader.java"


# static fields
.field public static final SKIN_LOADER_STRATEGY_SDCARD:I = 0x7fffffff

.field public static m_strAdvertPath:Ljava/lang/String; = "/TcnFolder/v3Skins"


# direct methods
.method static constructor <clinit>()V
    .locals 0

    return-void
.end method

.method public constructor <init>()V
    .locals 0

    .line 11
    invoke-direct {p0}, Lskin/support/load/SkinSDCardLoader;-><init>()V

    return-void
.end method


# virtual methods
.method protected getSkinPath(Landroid/content/Context;Ljava/lang/String;)Ljava/lang/String;
    .locals 1

    .line 18
    invoke-static {}, Lcom/tcn/tools/utils/TcnUtility;->getExternalStorageDirectory()Ljava/lang/String;

    move-result-object p1

    if-nez p1, :cond_0

    const-string p1, ""

    return-object p1

    .line 22
    :cond_0
    new-instance v0, Ljava/lang/StringBuilder;

    invoke-direct {v0}, Ljava/lang/StringBuilder;-><init>()V

    invoke-virtual {v0, p1}, Ljava/lang/StringBuilder;->append(Ljava/lang/String;)Ljava/lang/StringBuilder;

    sget-object p1, Lcom/tcn/tools/lang/CustomSDCardLoader;->m_strAdvertPath:Ljava/lang/String;

    invoke-virtual {v0, p1}, Ljava/lang/StringBuilder;->append(Ljava/lang/String;)Ljava/lang/StringBuilder;

    invoke-virtual {v0}, Ljava/lang/StringBuilder;->toString()Ljava/lang/String;

    move-result-object p1

    .line 23
    new-instance v0, Ljava/io/File;

    invoke-direct {v0, p1, p2}, Ljava/io/File;-><init>(Ljava/lang/String;Ljava/lang/String;)V

    invoke-virtual {v0}, Ljava/io/File;->getAbsolutePath()Ljava/lang/String;

    move-result-object p1

    return-object p1
.end method

.method public getType()I
    .locals 1

    const v0, 0x7fffffff

    return v0
.end method
